﻿@using Portal.Models.Globals;
@using System.Web.UI.WebControls;

<table style="margin-left:20px;">
    <tr>
        <td nowrap="nowrap">Supplier Code <font color="red">*</font></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPSupplierGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialHeaderSupplierLookupGridInvoiceInquiry" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.ClientEnabled = false;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierCode";
                        column.FieldName = "SUPP_CD";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierName";
                        column.FieldName = "SUPP_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    //gridLookup.ButtonClick = "OnClickOIPSupplierGridLookup";
                }).Bind(ViewData["SupplierGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap">Partner Bank <font color="red">*</font></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPPartnerBankGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SUPP_BANK_TYPE";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialPartnerBankGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierBankType";
                        column.FieldName = "SUPP_BANK_TYPE";
                        column.Caption = "Bank Type";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierBankKey";
                        column.FieldName = "SUPP_BANK_KEY";
                        column.Caption = "Bank Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SupplierAccount";
                        column.FieldName = "SUPP_ACCOUNT";
                        column.Caption = "Account";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.ClientSideEvents.BeginCallback = "OnBeginCallBackLookupPartnerBank";
                }).Bind(ViewData["PartnerBankGridLookup"]).GetHtml()
        </td>
        <td>
            @Html.DevExpress().CheckBox(
                settings =>
                {
                    settings.Name = "chkCalculateTax";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = 100;
                    settings.Text = "Calculate Tax";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Supplier Invoice No <font color="red">*</font></td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "txtSupplierInvoiceNo";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 4;
                    settings.Width = 100;
                    settings.Properties.EnableClientSideAPI = true;
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
        <td nowrap="nowrap">Amount</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                    settings.Properties.DisplayFormatString = "###,###,###";
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Posting Date <font color="red">*</font></td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIPPostingDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                }
            ).GetHtml()
        </td>
        <td nowrap="nowrap">Invoice Note</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPInvoiceNote";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 50;
                    settings.Width = 200;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Invoice Date <font color="red">*</font></td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIPInvoiceDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
        <td nowrap="nowrap">Header Text</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPHeaderText";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Baseline Date <font color="red">*</font></td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIPBaselineDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    //settings.Date = DateTime.ParseExact("19." + (DateTime.Now.AddMonths(1).Month.ToString().Length == 2 ? DateTime.Now.AddMonths(1).Month.ToString() : "0" + DateTime.Now.AddMonths(1).Month.ToString()) + "." + DateTime.Now.Year.ToString(), "dd.MM.yyyy", null);
                }
            ).GetHtml()
        </td>
        <td nowrap="nowrap">Assignment</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPAssignment";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 12;
                    settings.Width = 100;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Term of Payment <font color="red">*</font></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPTermPaymentGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "PAY_TERM_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialPaymentTermGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PaymentTermCode";
                        column.FieldName = "PAY_TERM_CD";
                        column.Caption = "Payment Term Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PaymentTermName";
                        column.FieldName = "PAY_TERM_NAME";
                        column.Caption = "Payment Term Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["PaymentTermGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap">Tax Code</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPTaxGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "TAX_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialTaxGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TaxCode";
                        column.FieldName = "TAX_CD";
                        column.Caption = "Tax Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TaxName";
                        column.FieldName = "TAX_NAME";
                        column.Caption = "Tax Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["TaxGridLookup"]).GetHtml()
        </td>
    </tr>
    <tr style="height:4px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">Payment Method <font color="red">*</font></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPPaymentMethodGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "PAY_METHOD_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialPaymentMethodGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PaymentMethodCode";
                        column.FieldName = "PAY_METHOD_CD";
                        column.Caption = "Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "PaymentMethodName";
                        column.FieldName = "PAY_METHOD_NAME";
                        column.Caption = "Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["PaymentMethodGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap">Tax Date</td>
        <td>
            @Html.DevExpress().DateEdit(
                settings =>
                {
                    settings.Name = "OIPTaxDate";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Properties.EditFormat = EditFormat.Custom;
                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                    settings.Width = 108;
                    settings.Date = DateTime.Now;
                    settings.ClientEnabled = false;
                    settings.Properties.EnableClientSideAPI = true;
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr style="margin:2px">
        <td style="font-weight:bold; border-top-style:solid; border-top-color:Blue; border-top-width:thin" colspan="5">Withholding Tax</td>
    </tr>
    <tr>
        <td nowrap="nowrap">Witholding Tax Code</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPWitholdingTaxGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "WITHHOLDING_TAX_CD";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialWithholdingTaxGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "WithholdingTaxCode";
                        column.FieldName = "WITHHOLDING_TAX_CD";
                        column.Caption = "Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "WithholdingTaxName";
                        column.FieldName = "WITHHOLDING_TAX_NAME";
                        column.Caption = "Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["WithholdingTaxGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap">Base Amount</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPBaseAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 10;
                    settings.Width = 100;
                    settings.Properties.DisplayFormatString = "###,###,###";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td style="font-weight:bold; border-top-style:solid; border-top-color:Blue; border-top-width:thin" colspan="5">PPV Amount</td>
    </tr>
    <tr>
        <td nowrap="nowrap">GL Account</td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "OIPGLAccountGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "GL_ACCOUNT";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PartialGLAccountGridLookup" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "GLAccountCode";
                        column.FieldName = "GL_ACCOUNT";
                        column.Caption = "GL Account";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TransactionName";
                        column.FieldName = "TRANSACTION_NAME";
                        column.Caption = "Description";
                        column.Width = Unit.Pixel(120);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "CostCenter";
                        column.FieldName = "COST_CENTER";
                        column.Caption = "Cost Center";
                        column.Width = Unit.Pixel(100);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "TaxCode";
                        column.FieldName = "TAX_CD";
                        column.Caption = "Tax Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                }).Bind(ViewData["GLAccountGridLookup"]).GetHtml()
        </td>
        <td nowrap="nowrap">PPV Amount</td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "OIPPPVAmount";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Properties.MaxLength = 12;
                    settings.Width = 100;
                    settings.Properties.DisplayFormatString = "###,###,###";
                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td nowrap="nowrap">PPV Evidence</td>
        <td colspan="2">
            @using (Html.BeginForm("DownloadCallback", "InvoiceAndPaymentInquiry", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(u =>
               {
                   u.Name = "PPVEVFileUpload";
                   u.BrowseButton.Text = "Browse";
                   u.AddUploadButtonsHorizontalPosition = AddUploadButtonsHorizontalPosition.Left;
                   u.ShowAddRemoveButtons = false;
                   // u.Width = System.Web.UI.WebControls.Unit.Percentage(100);
                   u.Width = Unit.Pixel(164);

                   u.ValidationSettings.MaxFileSize = 10000000;
                   //u.ValidationSettings.AllowedFileExtensions = new string[] { ".csv", ".zip" };
                   u.ValidationSettings.ShowErrors = true;

                   u.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                   u.ValidationSettings.NotAllowedFileExtensionErrorText = "Extension not supported";

                   u.CallbackRouteValues = new { Controller = "InvoiceAndPaymentInquiry", Action = "PPVEVFileUpload_CallbackRouteValues" };

                   u.ClientSideEvents.FileUploadComplete = "PPVEvidenceFileUploadComplete";
                   //u.ClientSideEvents.Init = "UploadEvidenceInit";
                   u.ShowProgressPanel = false;

                   // authorization code
               }).GetHtml()
            }
        </td>
        <td>
            @Html.DevExpress().Button(b =>
       {
           b.Name = "UploadButton";
           b.Text = "Upload Evidence";
           b.Width = 120;
           b.Style.Add("padding-left", "5px");
           b.ClientSideEvents.Click = "UploadEvidenceClick";

           //int auth = Model.GetModel<Toyota.Common.Web.Credential.User>().IsAuthorized("InvoiceCreation", "UploadButton");

           //switch (auth)
           //{
           //    case 0:
           //        b.ClientVisible = false;
           //        break;
           //    case 1:
           //        b.Enabled = false;
           //        break;
           //    case 2:
           //        b.ClientVisible = true;
           //        b.Enabled = true;
           //        break;
           //    default:
           //        b.ClientVisible = true;
           //        b.Enabled = true;
           //        break;
           //}
       }).GetHtml()
        </td>
    </tr>
    <tr>
        <td></td>
        <td colspan="3">
            <div id="PPVEvidence" style="display:none">
                <table>
                    <tr>
                        <td><span id="filename"></span></td>
                        <td>
                            @Html.DevExpress().Button(
                                btnSettings =>
                                {
                                    btnSettings.Name = "DownloadPPVEvidenceBtn";
                                    btnSettings.ControlStyle.CssClass = "button";
                                    btnSettings.Text = "Download";
                                    btnSettings.Width = 80;
                                    btnSettings.Height = 20;
                                    btnSettings.ClientSideEvents.Click = "DownloadTempPPV";
                                }
                            ).GetHtml()
                    </td>
                    <td>
                        @Html.DevExpress().Button(
                            btnSettings =>
                            {
                                btnSettings.Name = "DeletePPVEvidenceBtn";
                                btnSettings.ControlStyle.CssClass = "button";
                                btnSettings.Text = "Delete";
                                btnSettings.Width = 80;
                                btnSettings.ClientSideEvents.Click = "DeleteTempPPV";
                            }
                        ).GetHtml()
                    </td>
                </tr>
            </table>
        </div>
    </td>
</tr>
<tr>
    <td colspan="4" align="center">
        <table>
            <tr>
                <td width="" 33% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "OIPSaveButton";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "OnOIPSaveButtonClick";
                        }
                    ).GetHtml()
                </td>
                <td width="" 33% align="right">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "OIPPostButton";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Post";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "OnOIPPostButtonClick";
                            btnSettings.EnableClientSideAPI = true;
                        }
                    ).GetHtml()
                </td>
                <td width="33%">
                    @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "OIPCancelButton";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Close";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "OnOIPCancelButtonClick";
                        }
                    ).GetHtml()
                </td>
            </tr>
        </table>
    </td>
</tr>
</table>